OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class ManagedInterface

    java.lang.Object
      org.opennms.web.admin.nodeManagement.ManagedInterface

public class ManagedInterface
extends java.lang.Object

A servlet that stores interface information

Author:
  Jason Johns , OpenNMS

Field Summary
`protected java.lang.String` `address`
`protected int` `nodeid`
`protected java.util.List` `services`
`protected java.lang.String` `status`

Constructor Summary
`ManagedInterface()`

Method Summary
`void` `addService(ManagedService newService)`
`java.lang.String` `getAddress()`
`int` `getNodeid()`
`int` `getServiceCount()`
`java.util.List` `getServices()`
`java.lang.String` `getStatus()`
`void` `setAddress(java.lang.String newAddress)`
`void` `setNodeid(int id)`
`void` `setStatus(java.lang.String newStatus)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected java.lang.String address

### services

    protected java.util.List services

### status

    protected java.lang.String status

### nodeid

    protected int nodeid

Constructor Detail

### ManagedInterface

    public ManagedInterface()

Method Detail

### addService

    public void addService(ManagedService newService)

### setAddress

    public void setAddress(java.lang.String newAddress)

### getAddress

    public java.lang.String getAddress()

### getServices

    public java.util.List getServices()

### getServiceCount

    public int getServiceCount()

### setNodeid

    public void setNodeid(int id)

### getNodeid

    public int getNodeid()

### setStatus

    public void setStatus(java.lang.String newStatus)

### getStatus

    public java.lang.String getStatus()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.